#include "pitches.h"
#define NOTE_P 0
const int buzzerPin = 19;

// notes in the melody:
const int melody[] = { 
    NOTE_F4,NOTE_F4, NOTE_F4, NOTE_C5,NOTE_D5,NOTE_C5,
    NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_C5,NOTE_AS4,
    NOTE_A4,NOTE_G4,NOTE_G4,NOTE_F4,NOTE_P,
    
    NOTE_F4,NOTE_F4, NOTE_F4, NOTE_C5,NOTE_D5,NOTE_C5,
    NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_C5,NOTE_AS4,
    NOTE_A4,NOTE_G4,NOTE_G4,NOTE_F4,NOTE_P,   
                 
    NOTE_A4,NOTE_G4,NOTE_C5, NOTE_AS4,NOTE_A4,NOTE_G4, NOTE_P,
    NOTE_A4,NOTE_G4,NOTE_C5, NOTE_AS4,NOTE_A4,NOTE_G4, NOTE_P, 
    NOTE_F4,NOTE_F4, NOTE_F4, NOTE_C5,NOTE_D5,NOTE_C5,

    NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_AS4,NOTE_C5,NOTE_AS4,
    NOTE_A4, NOTE_G4,NOTE_G4,NOTE_F4,NOTE_P 
};  

int num = 64; // total number of notes and spaces

// note durations: 4 = quarter note, 8 = eighth note, etc.:
const int noteDurations[] = { 
    8,8,8,4,8,8,8,8,8,4,8,8,8,8,8,4,4,
    8,8,8,4,8,8,8,8,8,4,8,8,8,8,8,4,4,
    4,8,8,8,8,8,4,4,8,8,8,8,8,4,
    8,8,8,4,8,8,8,8,8,4,8,8,4,8,8,3 
};


void setup() {
  
  // iterate over the notes of the melody:  
  for (int thisNote = 0; thisNote < num; thisNote++) {   
    // to calculate the note duration, take one second 
    // divided by the note type.    
    //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
    int noteDuration = 1500/noteDurations[thisNote];    
    tone(buzzerPin, melody[thisNote],noteDuration);    
    // to distinguish the notes, set a minimum time between them.    
    // the note's duration + 30% seems to work well:    
    // int pauseBetweenNotes = noteDuration * 1.30;    
    int pauseBetweenNotes = noteDuration + 50;        
    delay(pauseBetweenNotes);
    // stop the tone playing:
    noTone(buzzerPin);
  }
}

void loop() {
  
  // no need to repeat the melody.
}
